aboutsummaryrefslogtreecommitdiff
path: root/package/luaposix/Config.in
blob: 58292829fa89235bed3d65a5efdd82bb140d0059 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
config BR2_PACKAGE_LUAPOSIX
	bool "luaposix"
	depends on BR2_INET_IPV6
	help
	  luaposix is a POSIX binding, including curses, for Lua 5.1
	  and 5.2; Like most libraries it simply binds to C APIs on
	  the underlying system, so it won't work on a non-POSIX
	  system. However, it does try to detect the level of POSIX
	  conformance of the underlying system and bind only available
	  APIs

	  https://github.com/luaposix/luaposix

comment "luaposix requires a toolchain with IPv6 support"
	depends on !BR2_INET_IPV6